Subject: Re: bug#78572: 30.1; Tramp Project error message loop - File is missing

From: Dmitry Gutov <[email-masked]>
Date: Sat, 31 May 2025 05:50:48 +0300

Hi Alexis,

On 30/05/2025 16:16, Alexis Bakatine wrote:

>> I think we also missed the first part of the original description - the
>> "File is missing" errors being echoed. Should that happen? Does that
>> occur due to missing permissions and/or because tramp-verbose is set to > 10?
> This is something that happens with tramp-verbose set to its default value.
> Here is the recipe:
> 
> 1. from your terminal (use a server of your own):
> 
> --8<---------------cut here---------------start------------->8---
> emacs -Q -l project --eval '(setopt project-mode-line t)' '/ssh:foo@bar:'
> --8<---------------cut here---------------end--------------->8---
> 
> 2. after successfully connecting do:
>     M-x tramp-cleanup-all-connections

Thanks. Interesting - I don't see this error at step 1, but after step 2 
- clearing all connections forcibly - I start seeing it a lot, like you 
say after different commands.

So I'm guessing it could be some data inconsistency that occurs after 
the interrupted connection. Maybe it's the problem Michael referred to 
anyway.